#ifndef _DATA_FRAME_HPP_
#define _DATA_FRAME_HPP_

#include <boost/endian/arithmetic.hpp>

#if __cplusplus < 201103L
#include <boost/static_assert.hpp>
#define static_assert BOOST_STATIC_ASSERT
#endif

typedef boost::endian::big_uint16_t tx01_data_frame_magic_t;
const size_t size_data_frame_content = 125;

struct tx01_data_frame
{
	tx01_data_frame_magic_t magic;
	uint8_t channel_id;
	char data[size_data_frame_content];
};

static_assert(sizeof(struct tx01_data_frame) == 128);

#ifdef static_assert
#undef static_assert
#endif

#endif
